Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# JoystickSymbols Class Reference

The Xabsl2 symbols that are defined in "joystick-symbols.xml". More...

`#include <JoystickSymbols.h>`

Inheritance diagram for JoystickSymbols:

[legend]
Collaboration diagram for JoystickSymbols:

[legend]
List of all members.

## Public Member Functions
| JoystickSymbols (const BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
Input symbols
int | getJoystickButton ()
double | getJoystickTimeSinceLastMessage ()
double | getSpecialActionId ()

## Detailed Description

The Xabsl2 symbols that are defined in "joystick-symbols.xml".

Author:
  Matthias Jüngel

Definition at line 20 of file JoystickSymbols.h.

## Constructor & Destructor Documentation

JoystickSymbols::JoystickSymbols | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 11 of file JoystickSymbols.cpp.

## Member Function Documentation

void JoystickSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 17 of file JoystickSymbols.cpp. References JoystickData::accel, JoystickData::coolie, JoystickData::directSpecialAction, getJoystickButton(), getJoystickTimeSinceLastMessage(), getSpecialActionId(), Xabsl2Symbols::registerBooleanInputSymbol(), Xabsl2Symbols::registerDecimalInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbol(), Xabsl2Symbols::registerEnumeratedInputSymbolEnumElement(), JoystickData::x, JoystickData::y, and JoystickData::z. Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void JoystickSymbols::update | ( |  | ) |

| updates the symbols Definition at line 65 of file JoystickSymbols.cpp.

int JoystickSymbols::getJoystickButton | ( |  | ) |

| A function for the symbol "joystick-data.button" Definition at line 75 of file JoystickSymbols.cpp. References JoystickData::button. Referenced by registerSymbols().

double JoystickSymbols::getJoystickTimeSinceLastMessage | ( |  | ) |

| A function for the symbol "joystick-data.time-since-last-message" Definition at line 70 of file JoystickSymbols.cpp. References SystemCall::getTimeSince(), and JoystickData::timeStamp. Referenced by registerSymbols().

Here is the call graph for this function:

double JoystickSymbols::getSpecialActionId | ( |  | ) |

| A function for the symbol "joystick-data.special-action-id" Definition at line 88 of file JoystickSymbols.cpp. References JoystickData::specialActionID. Referenced by registerSymbols().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/CommonXabsl2Symbols/JoystickSymbols.h
- Modules/BehaviorControl/CommonXabsl2Symbols/JoystickSymbols.cpp